! Control the Fortran types used by the f95 bindings
! This file is automatically configured by CMake
module plplot_types

  ! Configured by CMake depending on the floating-point precision
  ! adopted for the core C PLplot library.
  integer, parameter :: plflt   = kind(1.0d0)

  ! The idea here is to match the Fortran 4-byte integer with
  ! the corresponding C types for PLINT (normally int32_t) and
  ! PLUNICODE (normally uint32_t).  According to websites I have
  ! read, Fortran has no unsigned integer types and 
  ! using 4 here is safer than anything more complicated.
  integer, parameter :: plint  = 4
  integer, parameter :: plunicode  = 4
end module
